# User-Defined Macros:
# %%define <name> <expansion>
%define Name		php-dbg
%define Version		2.10
%define Release		4

%define base		php-dbg-base-2.10


Summary: PHP debugger
Name: %{Name}-base
Version: %{Version}
Release: %{Release}
Copyright: The DBG License, version 1.10
Group: Development/Debuggers
URL: http://dd.cron.ru/dbg/

# The one and true src
Source0: php-dbg-base-2.10.tar.gz

# Original tarball. Included here for licencing reasons
Source1: dbg-2.10rc2.linux.tar.gz
Source2: dbg-auto.patch

Patch0: dbg-2.10-2-include-pathnames.patch
Patch1: php-dbg-base-configure.in.patch
Patch2: php-dbg-base-DbgSpawn.patch
Patch3: php-dbg-base-C++.patch


BuildRoot: %{_tmppath}/%{Name}-%{Version}-%{Release}-root


%description
The DBG Php Debugger is a comprehensive software tool that helps
you debugging your php scripts. It may work with your production or
development WEB server remotely or locally. This package provides
the development libraries needed for the building of the debugger.


%prep
%setup -c %{Name}-%{Version} -a0
# Fixup the pcre paths
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0


%build
#
# build dbg-base
#
pushd .
cd %{base}
libtoolize --copy --force
aclocal -I .
automake --add-missing
autoconf
alias alpha-redhat-linux-g++=g++296
%configure \
        --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir}

make
popd .


%install
cd %{base}
make DESTDIR="${RPM_BUILD_ROOT}" install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%attr(-   ,root,root) %doc %{base}/AUTHORS %{base}/ChangeLog %{base}/COPYING
%attr(-   ,root,root) %doc %{base}/INSTALL %{base}/README %{base}/NEWS
%attr(0755,root,root) %{_includedir}/*/*
%attr(0755,root,root) %{_libdir}/*


%changelog

* Tue Sep 3 2002 Philip Copeland <bryce@redhat.com>
- Rebuilt as php dropped ZTS support

* Tue Jul 23 2002 Philip Copeland <bryce@redhat.com>
- Rebuilt as the g++ compiler/libs have been updated

* Mon Jul 08 2002 Philip Copeland <bryce@redhat.com>
- Attempt to make the C++ component exist with
  gcc's 3.1 idea of the c++ spec. Note toupper
  gets munched in g++'s cctype as of 3.1.

* Thu Jun 27 2002 Philip Copeland <bryce@redhat.com>
- 8/ ok had to shuffle the names around *again* to
  make the release engineers happy
- Pulled in Dmitri's autoconf work which nukes
  the silly kdevelop kde generated autoconf files

* Sun May 27 2002 Philip Copeland <bryce@redhat.com>
- Initial attempt making dbg devel libs into an rpm
